org.apache.fop.fo.extensions.svg

## Class SVGObj

- java.lang.Object
- - org.apache.fop.fo.FONode
  - - org.apache.fop.fo.XMLObj
    - - org.apache.fop.fo.extensions.svg.SVGObj

All Implemented Interfaces:
  Cloneable, EventListener, ContentHandlerFactory.ObjectBuiltListener

Direct Known Subclasses:
  SVGElement

    public class SVGObj
    extends XMLObj

Class for SVG element objects. This aids in the construction of the SVG Document.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.fop.fo.FONode

`FONode.FONodeIterator, FONode.GatherContextInfoFunction`

### Field Summary

### Fields inherited from class org.apache.fop.fo.XMLObj

`doc, element, name`

### Fields inherited from class org.apache.fop.fo.FONode

`FO_URI, FOX_URI, locator, log, nodeChangeBarList, parent, siblings, startOfNodeChangeBarList`

### Constructor Summary

Constructors
Constructor and Description
`SVGObj(FONode parent)` Constructs an SVG object (called by Maker).

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getNamespaceURI()` Returns the namespace URI for this node
`String` `getNormalNamespacePrefix()` Returns the normally used namespace prefix for this node

### Methods inherited from class org.apache.fop.fo.XMLObj

`addChildNode, addElement, buildTopLevel, characters, createBasicDocument, getDimension, getDOMDocument, getIntrinsicAlignmentAdjust, getLocalName, notifyObjectBuilt, processNode, validateChildNode`

### Methods inherited from class org.apache.fop.fo.FONode

`addCharacters, attachSiblings, bind, canHaveMarkers, charIterator, clone, clone, collectDelimitedTextRanges, collectDelimitedTextRanges, createPropertyList, decorateWithContextInfo, endOfNode, errorText, finalizeNode, gatherContextInfo, getBuilderContext, getChangeBarList, getChildNodes, getChildNodes, getContentHandlerFactory, getContextInfo, getContextInfoAlt, getExtensionAttachment, getFOEventHandler, getFOValidationEventProducer, getLocator, getLocatorString, getLogger, getName, getName, getNameId, getNodePrefix, getNodeString, getParent, getRoot, getStructureTreeElement, getUserAgent, inMarker, invalidChildError, invalidChildError, invalidPropertyValueError, isBidiRangeBlockItem, isChangeBarElement, isDelimitedTextRangeBoundary, missingChildElementError, missingChildElementError, missingPropertyError, nodesOutOfOrderError, nodesOutOfOrderError, notSupportedChildError, removeChild, setLocator, setStructureTreeElement, startOfNode, tooManyNodesError, tooManyNodesError, tooManyNodesError, validateChildNode, warningText`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SVGObj

    public SVGObj(FONode parent)

Constructs an SVG object (called by Maker).

Parameters:
  `parent` - the parent formatting object

### Method Detail

#### getNamespaceURI

    public String getNamespaceURI()

Returns the namespace URI for this node

Overrides:
  `getNamespaceURI` in class `FONode`
Returns:
  the namespace URI for this node

#### getNormalNamespacePrefix

    public String getNormalNamespacePrefix()

Returns the normally used namespace prefix for this node

Specified by:
  `getNormalNamespacePrefix` in class `FONode`
Returns:
  the normally used namespace prefix for this kind of node (ex. "fo" for XSL-FO)